View Issue Details

IDProjectCategoryView StatusLast Update
0003261Far ManagerCommand Line/Executepublic2016-07-04 22:22
ReporterymsAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003261: Crash on ф: in command line
DescriptionCrash on Russian letter + colon in the command line
Steps To Reproduce1. Type in the command line a Russian letter and a colon:
ф:
2. Press Enter
3. Oops!
TagsNo tags attached.
Build4733

Activities

yms

2016-07-02 14:32

reporter   bugnote:0014639

Last edited: 2016-07-02 14:34

View 2 revisions

собственно, тот же эффект при любом небуквенном символе на месте имени диска.

DrKnS

2016-07-02 15:12

administrator   bugnote:0014640

4733

yms

2016-07-03 18:35

reporter   bugnote:0014646

Кривовато получилось. Если ввести ф:, то ничего не происходит. Если ввести ф:., то The system cannot find the drive specified.

DrKnS

2016-07-03 18:42

administrator   bugnote:0014647

В смысле "получилось"?
Всегда так было.

yms

2016-07-04 21:20

reporter   bugnote:0014648

Был крэш. Ожидаемое поведение - как у командного процессора, нет?

DrKnS

2016-07-04 22:21

administrator   bugnote:0014649

/O
Креш был в процедуре проверки "уж не сетевой ли это диск", добавленной 3 месяца назад.
А "Если ввести ф:, то ничего не происходит" было все 20 лет до этого, как и если ввести какой-нибудь z:
Желание диагностики - это хорошо и правильно, но к данному вопросу отностится чуть менее, чем никак.
Cоздайте wish, если хотите.

Issue History

Date Modified Username Field Change
2016-07-02 14:19 yms New Issue
2016-07-02 14:32 yms Note Added: 0014639
2016-07-02 14:34 yms Note Edited: 0014639 View Revisions
2016-07-02 15:12 DrKnS Note Added: 0014640
2016-07-02 15:12 DrKnS Assigned To => DrKnS
2016-07-02 15:12 DrKnS Status new => feedback
2016-07-03 18:35 yms Note Added: 0014646
2016-07-03 18:35 yms Status feedback => assigned
2016-07-03 18:42 DrKnS Note Added: 0014647
2016-07-04 21:20 yms Note Added: 0014648
2016-07-04 22:21 DrKnS Note Added: 0014649
2016-07-04 22:22 DrKnS Build => 4733
2016-07-04 22:22 DrKnS Status assigned => closed
2016-07-04 22:22 DrKnS Resolution open => fixed
2016-07-04 22:22 DrKnS Fixed in Version => 3.0